Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus whenit calls `list-processes'

From: "Drew Adams" <[email-masked]>
Date: Sun, 29 Jul 2012 09:26:57 -0700

> Are you stuck in the minibuffer window even when you do `top-level'?

I don't know what you mean by "stuck in the minibuffer window.

After the command I am at top level.  And I am in no way stuck in a minibuffer
window.

The problem is that the `current-buffer' is " *Minibuf-0*".  That's all.

>  > The problem is (apparently) that the minibuffer buffer 
>  > remains selected after the reading, i.e., the (current-buffer)
>  > is " *Minibuf-0*".  Thus, a subsequent command such as `C-x k'
>  > sees that buffer as the current one.  That has not
>  > happened before - it seems to come as a result of redirecting
>  > the frame focus, but perhaps that is just a catalyst/revealer.
> 
> If this were the case, we'd have a bug.  But the code doesn't 
> indicate that.

Not sure what "this" you are referring to: "it seems to come as a result..." or
the behavior that "the (current-buffer) is " *Minibuf-0*"."

I do not know what the cause is.  I was only wondering out loud whether it
somehow comes as a result of redirecting the focus.

But what is clear is that (current-buffer) is " *Minibuf-0*".